Description
Hi,

| have already asked in the irc channel but no one really had a clue what could be the cause for this. | have tried to deploy CentOS
6.2 and 6.4 on a virtual (VMWare) and a bare metal host. Both show a kernel panic on startup. Installing CentOS from CD works fine.
| have done a fresh install of foreman 1.1 and compared the provisioning templates they are the same. Maybe something on my
production install is messed up?

History

#1 - 05/14/2013 03:27 AM - Ohad Levy

- Status changed from New to Feedback

this sounds like a broken kernel / initrd, try removing the files from your tftp dir /tftpboot/boot/centos-..?

they would be auto fetched when toggling build.. if your mirror is slow, it might be that your machine will fetch the files prior to finishing the download,
(only for the first time when you add the new os), so check that there are no more wget processes running on that machine.

#2 - 05/14/2013 03:56 AM - Oliver Weinmann
Hi,

that's what | thought too. | have deleted the files under /var/lib/tftpboot/boot and changed to our local mirror. The kernel panic doesn't appear on the
first boot, but on the first boot after the machine is deployed.

By the way the foreman-proxy log is always displaying an error for the download of the initrd and kernel:

D, [2013-05-14T09:47:47.574117 #5938] DEBUG -- : Starting task (total: 0): wget --timeout=10 --tries=3 --no-check-certificate Av—e-

http:/gedainst/osmirror/Linux/CentOS/6.4/0s/x86_64/images/pxeboot/vmlinuz—O-"ArarAib/ftpbeetbeet/CentOS-6-4-x86—64-vmiinuz"
B{26143-05-14109:47:47-630120-#5938}DEBUG— : Starting task (total: 0): wget --tlmeout 10 --tries=3 --no- check certlflcate AY—c-

http://gedainst/osmirror/Linux/CentOS/6.4/0s/x86_64/images/pxeboot/initrd.img—-O-—-A

E{2013-05-14T09:47:49-109974-#5938HERROR- : [7446] 2013-05-14 09:47:49
URL:http://gedainst/osmirror/Linux/CentOS/6.4/0s/x86_64/images/pxeboot/vmlinuz [4043888/4043888] >

“Hrarflibltitpbeetboet/Cert0S-6-4-x86—64-vmlinuz{H
E{2013-65-14F09:47:50-5658610-#5938HERROR— : [2640] 2013-05-14 09:47:50
URL:http://gedainst/osmirror/Linux/CentOS/6.4/0s/x86_64/images/pxeboot/initrd.img [32495283/32495283] ->

"/var/lib/tftpboot/boot/CentOS-6.4-x86_64-initrd.img" [1]
but the files are successfully downloaded:
root@gedadvl06:/var/lib/tftpboot/boot# du -sh *

31M  CentOS-6.4-x86_64-initrd.img

3.9M Cent0S-6.4-x86_64-vmlinuz

Regards,
Oliver

#3 - 05/14/2013 04:18 AM - Ohad Levy

thats odd, please do md5 checksum to validate

05/21/2024 1/2



https://projects.theforeman.org/issues/5938
http://gedainst/osmirror/Linux/CentOS/6.4/os/x86_64/images/pxeboot/vmlinuz
https://projects.theforeman.org/issues/5938
http://gedainst/osmirror/Linux/CentOS/6.4/os/x86_64/images/pxeboot/initrd.img
https://projects.theforeman.org/issues/5938
https://projects.theforeman.org/issues/5938

#4 - 05/14/2013 04:38 AM - Oliver Weinmann

They are identical. :(

root@gedadvl06:/var/lib/tftpboot/boot# md5sum CentOS-6.4-x86_64-vmlinuz
e390e699cfbfcbf6603e7e80aaf40853 CentOS-6.4-x86_64-vmlinuz
root@gedadvl06:/var/lib/tftpboot/boot# md5sum CentOS-6.4-x86_64-initrd.img
1¢7d04190b27858e1b8abc9866cf359f CentOS-6.4-x86_64-initrd.img

root@gedadvl06:/var/lib/tftpboot/boot# md5sum CentOS-6.4-x86_64-vmlinuz
€390e699cfbfcbf6603e7e80aaf40853 CentOS-6.4-x86_64-vmlinuz

boot# md5sum initrd.img
1¢7d04190b27858e1b8abc9866cf359f initrd.img

root@gedappl01:/mnt/ds-san-02/vol/osmirror/Linux/CentOS/6.4/0s/x86_64/images/pxeboot# md5sum vmlinuz
€390e699cfbfcbf6603e7e80aaf40853 vmlinuz

#5 - 05/16/2013 09:56 AM - Oliver Weinmann

Hi,

can you confirm that this is not a bug and really a configuration problem on my end?
i.e. can you please try to deploy a centos 6.2 / 6.4 box?

Best Regards,
Oliver

#6 - 05/16/2013 11:47 AM - Greg Sutcliffe

| just built a CentOS 6.4 machine with no issues, using the default Foreman Kickstart. | used this mirror:
http://anorien.csc.warwick.ac.uk/mirrors/centos/$major.$minor/os/$arch

And my installer md5sums are:

1c7d04190b27858elb8abc9866c£359f /var/lib/tftpboot/boot/Centos-6.4-x86_64-initrd.img
e390e699cfbfcbf6603e7e80aaf40853 /var/lib/tftpboot/boot/Centos—6.4-x86_64-vmlinuz

So we have the same md5sums - what platform are you installing on? | was using a Libvirt KVM machine, for the record.

#7 - 05/16/2013 11:55 AM - Oliver Weinmann

Hi,

thanks for testing.

| used a VMWare Vsphere 5.0 VM and a bare metal IBM eSeries x366.

#8 - 05/17/2013 08:16 AM - Oliver Weinmann

Hi,

can you send me the contents of your partitioning template?

| just deployed on a third host and | saw some debug messages coming up... Maybe my partitioning template is wrong?

Best Regards,
Oliver

#9 - 05/17/2013 08:55 AM - Oliver Weinmann
- Status changed from Feedback to Closed

| have once more copy and pasted the prov template from a fresh install and now it works. :)

Sorry for the confusion.
